# Method: mediaItems.get

- [HTTP request](https://developers.google.com/photos/library/reference/rest/v1/mediaItems/get#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/photos/library/reference/rest/v1/mediaItems/get#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/photos/library/reference/rest/v1/mediaItems/get#body.request_body)
- [Response body](https://developers.google.com/photos/library/reference/rest/v1/mediaItems/get#body.response_body)
- [Authorization scopes](https://developers.google.com/photos/library/reference/rest/v1/mediaItems/get#body.aspect)
- [Try it!](https://developers.google.com/photos/library/reference/rest/v1/mediaItems/get#try-it)

Returns the app created media item for the specified media item identifier.

### HTTP request

`GET https://photoslibrary.googleapis.com/v1/mediaItems/{mediaItemId}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `mediaItemId` | `string` Required. Identifier of the media item to be requested. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/photos/library/reference/rest/v1/mediaItems#MediaItem`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `
  https://www.googleapis.com/auth/photoslibrary.readonly.appcreateddata`